
module.exports = function(customConfig) {
  const {entry, modules} = customConfig

  return {
    context: modules[0],
    entry,
    output: {
      path         : '/tmp/perch-app',
      publicPath   : '/',
      filename     : 'js/[name].js',
      chunkFilename: 'js/chunk/[id].js',
    },
    resolve: {
      modules,
      descriptionFiles: ['package.json'],
      mainFields: ['main', 'browser'],
      mainFiles: ['index'],
      extensions: [
        '.js',
      ],
      enforceExtension: false,
      enforceModuleExtension: false,
    },
    devServer: {
      contentBase: modules[0],
      host: '0.0.0.0',
      disableHostCheck: true,
      stats: {
        assets: false,
        colors: true,
        children: false,
        chunks: false,
        modules: false,
      },
    },
  }
}